format_version: '1.0'

repository_url: https://github.com/yugabyte/yugabyte-db

sequence:
  base_version:
    input_file: 'b9c8005a.zip'
    commit_sha1: b9c8005ad1221091a6108f5a4168ee7f76ab54bd
  fix_attempt:
    - input_file: 'a9a3cf22.diff'
      commit_sha1: a9a3cf22d887a8ee5c842787296330d907c7f36c
    - input_file: 'bf177095.diff'
      commit_sha1: bf1770954cc6fb3d5c713b1c38c0578f173dcb12
    - input_file: '11770d83.diff'
      commit_sha1: 11770d83eda63263babad9910d78d2e40ad2110f
    - input_file: '660e13af.diff'
      commit_sha1: 660e13af4a32cc3b1022109bb1db08cee3db5b3c
    - input_file: '2422455d.diff'
      commit_sha1: 2422455d18e938f0e3afed52ff0252376b2023e2
    - input_file: 'f056c80e.diff'
      commit_sha1: f056c80e2e6247a65d7c5e7e90eb130b5509c0e3
    - input_file: 'fbd3bacd.diff'
      commit_sha1: fbd3bacde63c14102d341bf2a03e0353e7f05fa3
    - input_file: '740eb9fc.diff'
      commit_sha1: 740eb9fc53559e69ff91234275cac7c46bb4b96f
    - input_file: '3bb01efd.diff'
      commit_sha1: 3bb01efda8298b7cdc8f16937ff27b76fbfa43dd
    - input_file: 'bb4aff8f.diff'
      commit_sha1: bb4aff8fb3a8f97df66c20073e8aeefbc61486c7
    - input_file: '5d540525.diff'
      commit_sha1: 5d540525ead981a6f82bd2cadcda21215acad892
    - input_file: '648cbc3e.diff'
      commit_sha1: 648cbc3ea4ecba0ab5598474d7ba2d4d05257b0c
    - input_file: '59006138.diff'
      commit_sha1: 59006138e5be9201ae55f5a6851b28cdb87c4116
    - input_file: '0b97df1a.diff'
      commit_sha1: 0b97df1a21e47c76a666e2cf22bd7f6e1c8580a4
    - input_file: '79b1c13a.diff'
      commit_sha1: 79b1c13aef8a91332668f08f90ae4c4de179c870
    - input_file: '34c9dbf9.diff'
      commit_sha1: 34c9dbf98809cb3a896bac04107e8f50e835ad12
    
  expected_fix:
    input_file: '1182be1f.diff'
    commit_sha1: 1182be1fe9a8baa87476866ffc4c984d0d53bb9e

  
classification: unknown
categories: []

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/yugabyte/yugabyte-db/issues/3520
